Blender-2.90.1 Package broken

Hi,
The latest Blender package is broken
The latest from the blender website is fine.

When i import an STL it would crash blender.

This is the trace i get.

# Blender 2.90.1, Commit date: 1970-01-01 00:00, Hash unknown
bpy.ops.object.delete(use_global=False, confirm=False)  # Operator
Deleted 1 object(s)  # Info
bpy.context.space_data.bookmarks_active = 0  # Property
bpy.context.space_data.bookmarks_active = 1  # Property

# backtrace
blender(BLI_system_backtrace+0x33) [0x55c02df3f1a3]
blender(+0xcef6c3) [0x55c02c0e86c3]
/lib64/libc.so.6(+0x3dc50) [0x7fedd80cac50]
/lib64/libpython3.9.so.1.0(PyEval_ReleaseLock+0x15) [0x7fedd88ccfc9]
blender(+0x127a90d) [0x55c02c67390d]
blender(+0x13c4def) [0x55c02c7bddef]
/lib64/libpython3.9.so.1.0(_PyObject_MakeTpCall+0x7f) [0x7fedd891a8df]
/lib64/libpython3.9.so.1.0(_PyEval_EvalFrameDefault+0x583f) [0x7fedd891760f]
/lib64/libpython3.9.so.1.0(+0x1154bb) [0x7fedd891f4bb]
/lib64/libpython3.9.so.1.0(_PyEval_EvalFrameDefault+0x4efe) [0x7fedd8916cce]
/lib64/libpython3.9.so.1.0(+0x106e81) [0x7fedd8910e81]
/lib64/libpython3.9.so.1.0(_PyFunction_Vectorcall+0xe6) [0x7fedd891f206]
/lib64/libpython3.9.so.1.0(_PyObject_FastCallDictTstate+0xd2) [0x7fedd891a462]
/lib64/libpython3.9.so.1.0(_PyObject_Call_Prepend+0x68) [0x7fedd8926b48]
/lib64/libpython3.9.so.1.0(+0x1b99ba) [0x7fedd89c39ba]
/lib64/libpython3.9.so.1.0(_PyObject_MakeTpCall+0x16b) [0x7fedd891a9cb]
/lib64/libpython3.9.so.1.0(_PyEval_EvalFrameDefault+0x5e5f) [0x7fedd8917c2f]
/lib64/libpython3.9.so.1.0(+0x107439) [0x7fedd8911439]
/lib64/libpython3.9.so.1.0(_PyFunction_Vectorcall+0xe6) [0x7fedd891f206]
blender(+0x13dcdf2) [0x55c02c7d5df2]
blender(+0x13b0bb8) [0x55c02c7a9bb8]
blender(+0xfcb583) [0x55c02c3c4583]
blender(+0xfcf75a) [0x55c02c3c875a]
blender(+0xfcfb6c) [0x55c02c3c8b6c]
blender(wm_event_do_handlers+0x5fe) [0x55c02c3c954e]
blender(WM_main+0x20) [0x55c02c3cb280]
blender(main+0x31e) [0x55c02c0883de]
/lib64/libc.so.6(__libc_start_main+0xf2) [0x7fedd80b51a2]
blender(_start+0x2e) [0x55c02c0c6a7e]

# Python backtrace
  File "/usr/share/blender/2.90/scripts/modules/bpy/ops.py", line 159 in _view_layer_update
  File "/usr/share/blender/2.90/scripts/modules/bpy/ops.py", line 195 in __call__
  File "/usr/share/blender/2.90/scripts/addons/io_mesh_stl/__init__.py", line 139 in execute
1 Like

Ok i will file a bug.

but in the mean time.

the solution is to get the source package from the website.

the fedora package uses a python library that is not supported by blender.

check this link for the issue and solution

1 Like